<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xmostrar_catalogo=$_REQUEST['xmostrar_catalogo'];
if($xmostrar_catalogo!=1){
	$xmostrar_catalogo=0;
}

@$xmostrar_afecto_igv=$_REQUEST['xmostrar_afecto_igv'];
if($xmostrar_afecto_igv!=1){
	$xmostrar_afecto_igv=0;
}

@$xmostrar_afecto_isc=$_REQUEST['xmostrar_afecto_isc'];
if($xmostrar_afecto_isc!=1){
	$xmostrar_afecto_isc=0;
}

@$xmostrar_afecto_detraccion=$_REQUEST['xmostrar_afecto_detraccion'];
if($xmostrar_afecto_detraccion!=1){
	$xmostrar_afecto_detraccion=0;
}

@$xaccion2=$_REQUEST['xaccion2'];
@$xcriterio2=$_REQUEST['xcriterio2'];
@$xnombres=trim($_REQUEST['xnombres']);
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xcodigo=$_REQUEST['xcodigo'];
@$xmarca=$_REQUEST['xmarca'];
@$xpresentacion=$_REQUEST['xpresentacion'];
@$xfamilia=$_REQUEST['xfamilia'];
@$xpreciocosto=$_REQUEST['xpreciocosto'];
@$xunidad_minima=$_REQUEST['xunidad_minima'];
@$xstockminimo=$_REQUEST['xstockminimo'];
@$xpeso=$_REQUEST['xpeso'];

@$xmasterpack=$_REQUEST['xmasterpack'];

@$xdescuento_limite=$_REQUEST['xdescuento_limite'];

@$xdescripcion=$_REQUEST['xdescripcion'];
@$xdescripcion2=$_REQUEST['xdescripcion2'];

@$xdetraccion_porcentaje=$_REQUEST['xdetraccion_porcentaje'];

			?>
			<script language="javascript">
			//alert("Producto. <?php echo $xunidad_minima; ?>")
			//parent.location.href="../catalogo.php";
			</script>			
			<?php




@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$prd = new Productos;

switch($xaccion){
	
	case "adicionar": 
		if($prd->adicionar($conexion)==1){
			//echo "adicionar";
			?>
			<script language="javascript">
			alert("Producto creado satisfactoriamente.")
			parent.buscar();
			//parent.location.href="../catalogo.php?xcriterio=<?php echo $xcriterio2; ?>&xaccion2=<?php echo $xaccion2; ?>";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($prd->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Producto modificado satisfactoriamente.")
			//parent.location.href="../catalogo.php";
			parent.buscar();
			//parent.location.href="../catalogo.php?xcriterio=<?php echo $xcriterio2; ?>&xaccion2=<?php echo $xaccion2; ?>";			
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($vali->catalogo($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{				
			if($prd->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Producto eliminado satisfactoriamente.")
				//parent.location.href="../catalogo.php";
				parent.buscar();
				//parent.location.href="../catalogo.php?xcriterio=<?php echo $xcriterio2; ?>&xaccion2=<?php echo $xaccion2; ?>";				
				</script>			
				<?php
				
			}		
		}					
		break;

	case "activar":
		if($prd->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Productos{

	//Adiciona registro
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xcodigo, $xmarca, $xpresentacion, $xfamilia, $xusuario_sesion,$xpreciocosto,$xunidad_minima,$xstockminimo,$xpeso,$xdescripcion2,$xdescuento_limite, $xmostrar_catalogo, $xmasterpack, $xmostrar_afecto_igv, $xmostrar_afecto_isc, $xmostrar_afecto_detraccion, $xdetraccion_porcentaje;	
		
		$nu_nuevo = "9999999999"; 
		$xprd_id_trans = time().rand(1,$nu_nuevo);						
		
		$r = mysqli_query($conexion,"insert into productos (prd_nombre, 
												  prd_abreviatura,
												  prd_codigo,
												  mar_codi_fk,
												  prs_codi_fk,
												  prdfam_codi_fk,
												  prd_usu_crea,
												  prd_preciocosto,
												  prd_unidad_minima,
												  prd_stock_minimo,
												  prd_peso,
												  prd_descuento_limite,
												  prd_catalogo_defecto,
												  prd_id_trans,
												  mp_codi_fk,
												  prd_afecto_igv,
												  prd_afecto_isc,
												  prd_afecto_detraccion,
												  prd_detraccion_porcentaje)
										values ('$xnombres', 
												'$xabreviatura',
												'$xcodigo',
												'$xmarca',
												'$xpresentacion',
												'$xfamilia',
												'$xusuario_sesion',
												'$xpreciocosto',
												'$xunidad_minima',
												'$xstockminimo',
												'$xpeso',
												'$xdescuento_limite',
												'$xmostrar_catalogo',
												'$xprd_id_trans',
												'$xmasterpack',
												'$xmostrar_afecto_igv', 
												'$xmostrar_afecto_isc',
												'$xmostrar_afecto_detraccion', 
												'$xdetraccion_porcentaje');");
		
		if($r){	
		
			/*
			$rg = mysqli_query($conexion,"UPDATE productos SET prd_codigo = right(concat('0000',prd_codi), 5) 
																WHERE prd_id_trans = $xprd_id_trans;");
			*/						
			
			$rg = mysqli_query($conexion,"UPDATE productos SET prd_codigo = right(prd_codi + 10000, 5) 
																WHERE prd_id_trans = $xprd_id_trans;");
			
			
			return 1;		
		}else{
			?>
			<script language="javascript">
			alert("El Producto ya existe en la base de datos.");
			</script>
			<?php
		}									
	}	

	//Modifica registro
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xcodigo, $xmarca, $xpresentacion, $xfamilia, $xusuario_sesion,$xpreciocosto,$xunidad_minima,$xstockminimo,$xpeso, $xdescripcion,$xdescuento_limite,$xmostrar_catalogo, $xmasterpack, $xmostrar_afecto_igv, $xmostrar_afecto_isc, $xmostrar_afecto_detraccion, $xdetraccion_porcentaje;

		$r = mysqli_query($conexion,"update productos set prd_nombre = '$xnombres', 
												  prd_abreviatura = '$xabreviatura',
												  mar_codi_fk = '$xmarca',
												  prs_codi_fk = '$xpresentacion',
												  prdfam_codi_fk = '$xfamilia',
												  prd_usu_modifica = '$xusuario_sesion',
												  prd_preciocosto = '$xpreciocosto',
												  prd_unidad_minima = '$xunidad_minima',
												  prd_stock_minimo = '$xstockminimo',
												  prd_peso = '$xpeso',
												  prd_descuento_limite = '$xdescuento_limite',
												  prd_catalogo_defecto = '$xmostrar_catalogo',
												  mp_codi_fk = '$xmasterpack',
												  prd_afecto_igv = '$xmostrar_afecto_igv',
												  prd_afecto_isc = '$xmostrar_afecto_isc',
												  prd_afecto_detraccion = '$xmostrar_afecto_detraccion', 
												  prd_detraccion_porcentaje = '$xdetraccion_porcentaje'
										where prd_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina registro
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;

		$r = mysqli_query($conexion,"delete from productos where prd_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa registro
	function activar($conexion){
		global $xestado, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update productos set prd_estado = '$xestado',
															prd_usu_activa = '$xusuario_sesion' 
															where prd_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
